-- noBrainConfig.lua

local function noBrainBuildConfig(MoonTimeConfigPanel)
	
	if ( GetLocale() == "deDE" ) then
		L = MoonTime_noBrainConfig_Strings["deDE"]
		else
		L = MoonTime_noBrainConfig_Strings["enGB"]
	end
	
	
	local MoonTime_Layout_noBrain_ConfigPanel = CreateFrame( "ScrollFrame", "MoonTime_Layout_noBrain_ConfigPanel", MoonTimeConfigPanel);
	MoonTime_Layout_noBrain_ConfigPanel:SetBackdropColor(1,0,1,1)
	MoonTime_Layout_noBrain_ConfigPanel:SetWidth(200)
	MoonTime_Layout_noBrain_ConfigPanel:SetHeight(200)
	MoonTime_Layout_noBrain_ConfigPanel.name = "noBrain";
	MoonTime_Layout_noBrain_ConfigPanel.parent = MoonTimeConfigPanel.name;
	
	local MoonTime_Layout_noBrain_ScrollPanel = CreateFrame( "Frame", "MyAddonScrollChild", MoonTimeConfigPanel);
	MoonTime_Layout_noBrain_ScrollPanel:SetHeight(500)
	MoonTime_Layout_noBrain_ScrollPanel:SetWidth(100)
	MoonTime_Layout_noBrain_ConfigPanel:SetScrollChild(MoonTime_Layout_noBrain_ScrollPanel)
	
	-- InterfaceOptions_AddCategory(MoonTime_Layout_noBrain_ConfigPanel);
	
	
	
	local textbox = MoonTime:CreateFontString(MoonTime_Layout_noBrain_ConfigPanel, "textbox", "ARTWORK", "GameFontNormalLarge", "TOPLEFT", MoonTime_Layout_noBrain_ConfigPanel, "TOPLEFT", 10, -10, 200, 20, "LEFT", "CENTER",  1, 1, 1, 1 );
	textbox:SetText("|cffFFFF00".."Layout noBrain".."|r")
	textbox:Show()	
	local textbox = MoonTime:CreateFontString(MoonTime_Layout_noBrain_ConfigPanel, "textbox", "ARTWORK", "GameFontNormal", "TOPLEFT", textbox, "BOTTOMLEFT", 0, 0, 500, 100, "LEFT", "CENTER",  1, 1, 1, 1 );
	textbox:SetText(L["description"])
	textbox:SetHeight(textbox:GetStringHeight())
	textbox:Show()	
	
	
	local editframe9 = MoonTime:CreateFrame("EditBox", "MoonTimeEditBox9", MoonTime_Layout_noBrain_ConfigPanel, "InputBoxTemplate","TOPLEFT", textbox, "BOTTOMLEFT", 10, -10, 50,12)
	editframe9:SetAutoFocus(false) 
	editframe9:SetText(MoonTime_DB["Layout_noBrain"]["blink_factor"]);
	editframe9:SetCursorPosition(0)
	editframe9:Show()
	
	local textbox = MoonTime:CreateFontString(MoonTime_Layout_noBrain_ConfigPanel, "textbox", "ARTWORK", "GameFontNormal", "LEFT", editframe9, "RIGHT", 5, 0, 200, 30, "LEFT", "CENTER",  1, 1, 1, 1 );
	textbox:SetText(L["noBrainConfig_Factor"])
	textbox:SetJustifyH("LEFT")
	textbox:Show()	
	
	
	local editframe8 = MoonTime:CreateFrame("EditBox", "MoonTimeEditBox8", MoonTime_Layout_noBrain_ConfigPanel, "InputBoxTemplate", "LEFT", editframe9, "RIGHT", 200, 0, 50, 12)
	editframe8:SetAutoFocus(false) 
	editframe8:SetText(MoonTime_DB["Layout_noBrain"]["blink_time_descale"]);
	editframe8:SetCursorPosition(0)
	editframe8:Show()
	
	
	local textbox = MoonTime:CreateFontString(MoonTime_Layout_noBrain_ConfigPanel, "textbox", "ARTWORK", "GameFontNormal", "LEFT", editframe8, "RIGHT", 5, 0, 200, 30, "LEFT", "CENTER",  1, 1, 1, 1 );
	textbox:SetText(L["noBrainConfig_Time"])
	textbox:Show()		
	
	
	
	
	
	
	local textbox = MoonTime:CreateFontString(MoonTime_Layout_noBrain_ConfigPanel, "textbox", "ARTWORK", "GameFontNormal", "TOPLEFT", editframe9, "BOTTOMLEFT", -10, -5, 500, 20, "LEFT", "CENTER",  1, 1, 1, 1 );
	textbox:SetText(L["noBrainConfig_ActiveSpells"])
	textbox:Show()
	
	
	-- Sternensog
	local checkbutton_1 = MoonTime:CreateFrame("CheckButton", "CheckButton_1", MoonTime_Layout_noBrain_ConfigPanel, "UICheckButtonTemplate", "TOPLEFT", textbox, "BOTTOMLEFT", 4, 0, 28, 28)
	if MoonTime_DB["Layout_noBrain"]["blinkspells"][SS_icon] then checkbutton_1:SetChecked() end
	checkbutton_1:Show()
	
	local textbox = MoonTime:CreateFontString(MoonTime_Layout_noBrain_ConfigPanel, "textbox2", "ARTWORK","GameFontNormal", "LEFT", checkbutton_1, "RIGHT", 10, 2, 200, 20, "LEFT", "CENTER",  1, 1, 1, 1 );
	textbox:SetText(SS_name)
	textbox:Show()	
	
	--Mondfeuer
	local checkbutton_2 = MoonTime:CreateFrame("CheckButton", "CheckButton_2", MoonTime_Layout_noBrain_ConfigPanel, "UICheckButtonTemplate", "TOPLEFT", checkbutton_1, "TOPRIGHT", 210, 0, 28, 28)
	if MoonTime_DB["Layout_noBrain"]["blinkspells"][MF_icon] then checkbutton_2:SetChecked() end
	checkbutton_2:Show()
	
	local textbox = MoonTime:CreateFontString(MoonTime_Layout_noBrain_ConfigPanel, "textbox2", "ARTWORK","GameFontNormal", "LEFT", checkbutton_2, "RIGHT", 10, 2, 200, 20, "LEFT", "CENTER",  1, 1, 1, 1 );
	textbox:SetText(MF_name)
	textbox:Show()	
	
	--Zorn
	local checkbutton_4 = MoonTime:CreateFrame("CheckButton", "CheckButton_1", MoonTime_Layout_noBrain_ConfigPanel, "UICheckButtonTemplate", "TOPLEFT", checkbutton_1, "BOTTOMLEFT", 0, 5, 28, 28)
	if MoonTime_DB["Layout_noBrain"]["blinkspells"][W_icon] then checkbutton_4:SetChecked() end
	checkbutton_4:Show()
	
	local textbox = MoonTime:CreateFontString(MoonTime_Layout_noBrain_ConfigPanel, "textbox", "ARTWORK","GameFontNormal", "LEFT", checkbutton_4, "RIGHT", 10, 2, 200, 20, "LEFT", "CENTER",  1, 1, 1, 1 );
	textbox:SetText(W_name)
	textbox:Show()
	
	--Sonnenfeuer
	local checkbutton_3 = MoonTime:CreateFrame("CheckButton", "CheckButton_3", MoonTime_Layout_noBrain_ConfigPanel, "UICheckButtonTemplate", "TOPLEFT", checkbutton_4, "TOPRIGHT", 210, 0, 28, 28)
	if MoonTime_DB["Layout_noBrain"]["blinkspells"][SunF_icon] then checkbutton_3:SetChecked() end
	checkbutton_3:Show()
	
	local textbox = MoonTime:CreateFontString(MoonTime_Layout_noBrain_ConfigPanel, "textbox", "ARTWORK","GameFontNormal", "LEFT", checkbutton_3, "RIGHT", 10, 2, 200, 20, "LEFT", "CENTER",  1, 1, 1, 1 );
	textbox:SetText(SunF_name)
	textbox:Show()
	
	
	--Sternenfeuer
	local checkbutton_5 = MoonTime:CreateFrame("CheckButton", "CheckButton_1", MoonTime_Layout_noBrain_ConfigPanel, "UICheckButtonTemplate", "TOPLEFT", checkbutton_4, "BOTTOMLEFT", 0, 5, 28, 28)
	if MoonTime_DB["Layout_noBrain"]["blinkspells"][SF_icon] then checkbutton_5:SetChecked() end
	checkbutton_5:Show()
	
	local textbox = MoonTime:CreateFontString(MoonTime_Layout_noBrain_ConfigPanel, "textbox", "ARTWORK","GameFontNormal", "LEFT", checkbutton_5, "RIGHT", 10, 2, 200, 20, "LEFT", "CENTER",  1, 1, 1, 1 );
	textbox:SetText(SF_name)
	textbox:Show()
	--[[			
		--Insektenschwarm
		local checkbutton_6 = MoonTime:CreateFrame("CheckButton", "CheckButton_1", MoonTime_Layout_noBrain_ConfigPanel, "UICheckButtonTemplate", "TOPLEFT", checkbutton_5, "TOPRIGHT", 210, 0, 28, 28)
		if MoonTime_DB["Layout_noBrain"]["blinkspells"][IS_icon] then checkbutton_6:SetChecked() end
		checkbutton_6:Show()
		
	 	local textbox = MoonTime:CreateFontString(MoonTime_Layout_noBrain_ConfigPanel, "textbox", "ARTWORK","GameFontNormal", "LEFT", checkbutton_6, "RIGHT", 10, 2, 200, 20, "LEFT", "CENTER",  1, 1, 1, 1 );
		textbox:SetText(IS_name)
		textbox:Show()
	--]]
	
	
	
	
	
	
	function CreateEditBox(self, name, parent, width, height)
		
		local scrollframe = MoonTime:CreateFrame("ScrollFrame", "ScrollFrame_"..name, parent, "UIPanelScrollFrameTemplate", "TOPLEFT", parent, "TOPLEFT", 0, 0, width, height)
		scrollframe.name = "Scrollframe";
		
		local scrollchild = CreateFrame("EditBox", "LBPEditBox_"..name, scrollframe) --, "InputBoxTemplate")
		scrollchild:SetPoint("TOPLEFT", scrollframe, "TOPLEFT", 8,-6)
		scrollchild:SetPoint("BOTTOMRIGHT", scrollframe, "BOTTOMRIGHT", -8,6)
		
		scrollchild:SetScript("OnEscapePressed", function(self) EditBox_ClearFocus(self) end)
		scrollchild:SetScript("OnEditFocusLost", function(self) EditBox_ClearHighlight(self); end)
		scrollchild:SetScript("OnEditFocusGained", function(self) EditBox_HighlightText(self); end)
		scrollchild:SetFont("Fonts\\ARIALN.TTF",14,"none")
		scrollchild:SetMultiLine(true)
		scrollchild:SetAutoFocus(false) 
		--scrollchild:SetMaxLetters(255);
		scrollchild:SetCursorPosition(0)
		scrollchild:SetScript("OnCursorChanged", 
			function(self, x, y, w, h) 
				local d = -y-scrollframe:GetVerticalScroll()
				if d>floor(height/13.99)*13.99 or d<0 then 
					
					scrollframe:SetVerticalScroll(math.max(scrollframe:GetVerticalScroll()+13.99*d/abs(d),0)) 
					scrollframe:UpdateScrollChildRect()
				end 
			end
		)
		
		scrollframe:SetSize(width, height)--80-8-8)
		scrollchild:SetSize(width, height)
		scrollframe:SetScrollChild(scrollchild)
		
		--scrollframe:Hide()
		
		return scrollframe, scrollchild
	end
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	local tab1 = CreateFrame("Frame","Aussenframe", MoonTime_Layout_noBrain_ConfigPanel)
	tab1:SetBackdrop({bgFile = "Interface/DialogFrame/UI-DialogBox-Background-Dark", edgeFile = "Interface/Tooltips/UI-Tooltip-Border",tile = true, tileSize = 16, edgeSize = 16, insets = { left = 4, right = 4, top = 4, bottom = 4 } });
	tab1:SetBackdropColor(1,0,0, 1)
	tab1:SetPoint("TOPLEFT", MoonTime_Layout_noBrain_ConfigPanel, "TOPLEFT", 170, -180)
	tab1:SetSize(150,30)
	tab1:Show();
	
	local labelframe_tab1 = tab1:CreateFontString(nil,"ARTWORK","GameFontNormal")
	labelframe_tab1:SetPoint("CENTER", tab1, "CENTER", 0, 0)
	labelframe_tab1:SetTextColor( 1, 1, 1, 1 );
	labelframe_tab1:SetText(L["noBrainConfig_TitleDefaultRotation"])
	
	local tab2 = CreateFrame("Frame","Aussenframe", MoonTime_Layout_noBrain_ConfigPanel)
	tab2:SetBackdrop({bgFile = "Interface/DialogFrame/UI-DialogBox-Background-Dark", edgeFile = "Interface/Tooltips/UI-Tooltip-Border",tile = true, tileSize = 16, edgeSize = 16, insets = { left = 4, right = 4, top = 4, bottom = 4 } });
	tab2:SetBackdropColor(1,0,0, 1)
	tab2:SetPoint("TOPLEFT", tab1, "TOPLEFT", 130, 0)
	tab2:SetSize(150,30)
	tab2:Show();
	
	local labelframe_tab2 = tab2:CreateFontString(nil,"ARTWORK","GameFontNormal")
	labelframe_tab2:SetPoint("CENTER", tab2, "CENTER", 0, 0)
	labelframe_tab2:SetTextColor( 1, 1, 1, .5 );
	labelframe_tab2:SetText(L["noBrainConfig_TitleCustom1Rotation"])
	
	local tab3 = CreateFrame("Frame","Aussenframe", MoonTime_Layout_noBrain_ConfigPanel)
	tab3:SetBackdrop({bgFile = "Interface/DialogFrame/UI-DialogBox-Background-Dark", edgeFile = "Interface/Tooltips/UI-Tooltip-Border",tile = true, tileSize = 16, edgeSize = 16, insets = { left = 3, right = 3, top = 3, bottom = 3 } });
	tab3:SetBackdropColor(1,0,0, 1)
	tab3:SetPoint("TOPLEFT", tab2, "TOPLEFT", 130, 0)
	tab3:SetSize(150,30)
	tab3:Show();
	
	local labelframe_tab3 = tab3:CreateFontString(nil,"ARTWORK","GameFontNormal")
	labelframe_tab3:SetPoint("CENTER", tab3, "CENTER", 0, 0)
	labelframe_tab3:SetTextColor( 1, 1, 1, .5 );
	labelframe_tab3:SetText(L["noBrainConfig_TitleCustom2Rotation"])
	
	
	local black = CreateFrame("Frame","Aussenframe", MoonTime_Layout_noBrain_ConfigPanel)
	black:SetBackdrop({bgFile = "Interface/DialogFrame/UI-DialogBox-Background-Dark", tile=true});
	black:SetBackdropColor(0,0,0, 1)
	black:SetPoint("CENTER", tab1, "BOTTOM", 0, 5)
	black:SetSize(150-4-4,6)
	black:SetFrameLevel(tab1:GetFrameLevel()+5)
	black:Show();
	
	
	local labelframe2 = MoonTime_Layout_noBrain_ConfigPanel:CreateFontString(nil,"ARTWORK","GameFontNormal")
	labelframe2:SetPoint("TOPLEFT", MoonTime_Layout_noBrain_ConfigPanel, "TOPLEFT", 20, -188)
	labelframe2:SetTextColor( 1, 1, 1, 1 );
	labelframe2:SetText(L["noBrainConfig_Rotation"])
	
	
	local infobutton = CreateFrame("Frame","infobutton", MoonTime_Layout_noBrain_ConfigPanel)
	infobutton:SetPoint("TOPLEFT", MoonTime_Layout_noBrain_ConfigPanel, "TOPRIGHT", -38, -184)
	infobutton:SetSize(16,16)
	infobutton.texture = infobutton:CreateTexture("LBPTalent")
	infobutton.texture:SetTexture("Interface/GossipFrame/ActiveQuestIcon")
	infobutton.texture:SetAllPoints()
	
	infobutton:SetScript("OnMouseUp", function(self) if infopanel:IsShown() then infopanel:Hide() else infopanel:Show() end end)
	infobutton:Show();
	
	
	
	
	
	
	local aussen = CreateFrame("Frame","Aussenframe", MoonTime_Layout_noBrain_ConfigPanel)
	aussen:SetBackdrop({bgFile = "Interface/DialogFrame/UI-DialogBox-Background-Dark", edgeFile = "Interface/Tooltips/UI-Tooltip-Border",tile = true, tileSize = 16, edgeSize = 16, insets = { left = 4, right = 4, top = 4, bottom = 4 } });
	aussen:SetBackdropColor(0,0,0,2)
	aussen:SetPoint("TOPLEFT", MoonTime_Layout_noBrain_ConfigPanel, "TOPLEFT", 10, -180-30+7)
	aussen:SetSize(600,355)
	tab1:SetFrameLevel(aussen:GetFrameLevel()-0)
	tab2:SetFrameLevel(aussen:GetFrameLevel()-1)
	tab3:SetFrameLevel(aussen:GetFrameLevel()-2)
	aussen:Show();
	
	
	
	local infopanel = MoonTime:CreateFrame("Frame", "infopanel", MoonTime_Layout_noBrain_ConfigPanel, nil, "TOPRIGHT", infobutton, "BOTTOMRIGHT", 0, 0, 500, 300)
	infopanel:SetBackdrop({bgFile = "Interface/DialogFrame/UI-DialogBox-Background-Dark", edgeFile = "Interface/DialogFrame/UI-DialogBox-Border",tile = false, tileSize = 16, edgeSize = 16, insets = { left = 4, right = 4, top = 4, bottom = 4 } });
	
	infopanel:SetFrameLevel(aussen:GetFrameLevel()+10)
	infopanel:Hide()
	
	local infolabel = MoonTime:CreateFontString(infopanel, "infolabel", "ARTWORK","GameFontNormal", "TOPLEFT", infopanel, "TOPLEFT", 10, -10, 400, 300, "LEFT", "TOP", 1, 1, 1, 1)	
	
	infolabel:SetText(L["rotationhelp"])
	
	
	
	
	
	local PADDING = 5
	local height = 280+55
	local width = 558		
	
	
	
	-- tab1
	local MoonTime_Layout_noBrain_ScrollFrame_tab1, MoonTime_Layout_noBrain_editbox1 = CreateEditBox(self, "MoonTime_Layout_noBrain_ScrollFrame_tab1", MoonTime_Layout_noBrain_ConfigPanel, width, height)
	MoonTime_Layout_noBrain_ScrollFrame_tab1:SetPoint("TOPLEFT", aussen, "TOPLEFT", 10, -10)
	MoonTime_Layout_noBrain_editbox1:SetText(MoonTime_DB["Layout_noBrain"]["default"])
	MoonTime_Layout_noBrain_ScrollFrame_tab1:SetScript("OnUpdate",
		function(self)
			MoonTime_Layout_noBrain_ScrollFrame_tab1:UpdateScrollChildRect()
			if MoonTime_Layout_noBrain_ScrollFrame_tab1:GetVerticalScrollRange() >= MoonTime_DB["Layout_noBrain"]["default_posi"] then
				MoonTime_Layout_noBrain_ScrollFrame_tab1:SetVerticalScroll(MoonTime_DB["Layout_noBrain"]["default_posi"]);
				MoonTime_Layout_noBrain_ScrollFrame_tab1:SetScript("OnUpdate", nil)
			end
		end
	)
	
	-- nonchangeable
	MoonTime_Layout_noBrain_editbox1:SetScript("OnTextChanged",
		function (self)
			local position = MoonTime_Layout_noBrain_editbox1:GetCursorPosition() 
			MoonTime_Layout_noBrain_editbox1:SetText(MoonTime_DB["Layout_noBrain"]["default"])
			MoonTime_Layout_noBrain_editbox1:SetCursorPosition(position)
		end
	)
	
	-- tab2
	local MoonTime_Layout_noBrain_ScrollFrame_tab2, MoonTime_Layout_noBrain_editbox2 = CreateEditBox(self, "MoonTime_Layout_noBrain_ScrollFrame_tab2", MoonTime_Layout_noBrain_ConfigPanel, width, height)
	MoonTime_Layout_noBrain_ScrollFrame_tab2:SetPoint("TOPLEFT", aussen, "TOPLEFT", 10, -10)
	MoonTime_Layout_noBrain_editbox2:SetText(MoonTime_DB["Layout_noBrain"]["custom1"] )
	MoonTime_Layout_noBrain_ScrollFrame_tab2:SetScript("OnUpdate",
		function(self)
			MoonTime_Layout_noBrain_ScrollFrame_tab2:UpdateScrollChildRect()
			if MoonTime_Layout_noBrain_ScrollFrame_tab2:GetVerticalScrollRange() >= MoonTime_DB["Layout_noBrain"]["custom1_posi"] then
				MoonTime_Layout_noBrain_ScrollFrame_tab2:SetVerticalScroll(MoonTime_DB["Layout_noBrain"]["custom1_posi"]);
				MoonTime_Layout_noBrain_ScrollFrame_tab2:UpdateScrollChildRect()
				MoonTime_Layout_noBrain_ScrollFrame_tab2:SetScript("OnUpdate", nil)
			end
		end
	)
	
	-- tab3
	local MoonTime_Layout_noBrain_ScrollFrame_tab3, MoonTime_Layout_noBrain_editbox3 = CreateEditBox(self, "MoonTime_Layout_noBrain_ScrollFrame_tab3", MoonTime_Layout_noBrain_ConfigPanel, width, height)
	MoonTime_Layout_noBrain_ScrollFrame_tab3:SetPoint("TOPLEFT", aussen, "TOPLEFT", 10, -10)
	MoonTime_Layout_noBrain_editbox3:SetText(MoonTime_DB["Layout_noBrain"]["custom2"] )
	MoonTime_Layout_noBrain_ScrollFrame_tab3:SetScript("OnUpdate",
		function(self)
			MoonTime_Layout_noBrain_ScrollFrame_tab3:UpdateScrollChildRect()
			if MoonTime_Layout_noBrain_ScrollFrame_tab3:GetVerticalScrollRange() >= MoonTime_DB["Layout_noBrain"]["custom2_posi"] then
				MoonTime_Layout_noBrain_ScrollFrame_tab3:SetVerticalScroll(MoonTime_DB["Layout_noBrain"]["custom2_posi"]);
				MoonTime_Layout_noBrain_ScrollFrame_tab3:SetScript("OnUpdate", nil)
			end
		end
	)
	
	MoonTime_Layout_noBrain_ScrollFrame_tab1:Show()
	MoonTime_Layout_noBrain_ScrollFrame_tab2:Hide()
	MoonTime_Layout_noBrain_ScrollFrame_tab3:Hide()
	
	local emergencybutton_tab2 = CreateFrame("BUTTON", "Button", MoonTime_Layout_noBrain_ScrollFrame_tab2, "UIPanelButtonTemplate")
	emergencybutton_tab2:SetText("Save and reload")
	emergencybutton_tab2:SetWidth(140)
	emergencybutton_tab2:SetHeight(25)
	emergencybutton_tab2:SetScript("OnClick", function(self) 
		if ( MoonTime_Layout_noBrain_ConfigPanel:IsShown() ) then
			MoonTime_DB["Layout_noBrain"]["blink_factor"]  = editframe9:GetText();
			MoonTime_DB["Layout_noBrain"]["blink_time_descale"] = editframe8:GetText();
			MoonTime_DB["Layout_noBrain"]["blinkspells"][SS_icon] = checkbutton_1:GetChecked();
			MoonTime_DB["Layout_noBrain"]["blinkspells"][MF_icon] = checkbutton_2:GetChecked();
			MoonTime_DB["Layout_noBrain"]["blinkspells"][SunF_icon] = checkbutton_3:GetChecked();
			MoonTime_DB["Layout_noBrain"]["blinkspells"][W_icon] = checkbutton_4:GetChecked();
			MoonTime_DB["Layout_noBrain"]["blinkspells"][SF_icon] = checkbutton_5:GetChecked();
			MoonTime_DB["Layout_noBrain"]["custom1"]  = MoonTime_Layout_noBrain_editbox2:GetText();
			MoonTime_DB["Layout_noBrain"]["custom2"]  = MoonTime_Layout_noBrain_editbox3:GetText();
			MoonTime_DB["Layout_noBrain"]["default_posi"] = MoonTime_Layout_noBrain_ScrollFrame_tab1:GetVerticalScroll();
			MoonTime_DB["Layout_noBrain"]["custom1_posi"] = MoonTime_Layout_noBrain_ScrollFrame_tab2:GetVerticalScroll();
			MoonTime_DB["Layout_noBrain"]["custom2_posi"] = MoonTime_Layout_noBrain_ScrollFrame_tab3:GetVerticalScroll();
			
			MoonTime:setLayout(MoonTime_DB["layout"])	
		end	
	end)
	emergencybutton_tab2:SetPoint('BOTTOMRIGHT', MoonTime_Layout_noBrain_ScrollFrame_tab2, 'TOPRIGHT', 0, 50)		
	
	
	local function highlight_tab1( self )
		labelframe_tab1:SetTextColor( 1, 1, 1, 1 );
		labelframe_tab2:SetTextColor( 1, 1, 1, .5 );
		labelframe_tab3:SetTextColor( 1, 1, 1, .5 );
		
		tab1:SetFrameLevel(aussen:GetFrameLevel())
		tab2:SetFrameLevel(aussen:GetFrameLevel()-1)
		tab3:SetFrameLevel(aussen:GetFrameLevel()-2)
		
		MoonTime_Layout_noBrain_ScrollFrame_tab1:Show()
		MoonTime_Layout_noBrain_ScrollFrame_tab2:Hide()
		MoonTime_Layout_noBrain_ScrollFrame_tab3:Hide()
		
		black:SetPoint("CENTER", tab1, "BOTTOM", 0, 5)
		
		MoonTime_DB["Layout_noBrain"]["rotation"] = "default";
		MoonTime:setLayout(MoonTime_DB["layout"])	
	end
	
	local function highlight_tab2( self )
		labelframe_tab1:SetTextColor( 1, 1, 1, .5 );
		labelframe_tab2:SetTextColor( 1, 1, 1, 1 );
		labelframe_tab3:SetTextColor( 1, 1, 1, .5 );
		
		tab1:SetFrameLevel(aussen:GetFrameLevel()-1)
		tab2:SetFrameLevel(aussen:GetFrameLevel())
		tab3:SetFrameLevel(aussen:GetFrameLevel()-2)
		
		MoonTime_Layout_noBrain_ScrollFrame_tab1:Hide()
		MoonTime_Layout_noBrain_ScrollFrame_tab2:Show()
		MoonTime_Layout_noBrain_ScrollFrame_tab3:Hide()
		
		black:SetPoint("CENTER", tab2, "BOTTOM", 0, 5)
		
		MoonTime_DB["Layout_noBrain"]["rotation"] = "custom1";
		MoonTime:setLayout(MoonTime_DB["layout"])	
	end
	
	local function highlight_tab3( self )
		labelframe_tab1:SetTextColor( 1, 1, 1, .5 );
		labelframe_tab2:SetTextColor( 1, 1, 1, .5 );
		labelframe_tab3:SetTextColor( 1, 1, 1, 1 );
		
		tab1:SetFrameLevel(aussen:GetFrameLevel()-2)
		tab2:SetFrameLevel(aussen:GetFrameLevel()-1)
		tab3:SetFrameLevel(aussen:GetFrameLevel())
		
		MoonTime_Layout_noBrain_ScrollFrame_tab1:Hide()
		MoonTime_Layout_noBrain_ScrollFrame_tab2:Hide()
		MoonTime_Layout_noBrain_ScrollFrame_tab3:Show()
		
		black:SetPoint("CENTER", tab3, "BOTTOM", 0, 5)
		
		MoonTime_DB["Layout_noBrain"]["rotation"] = "custom2";
		MoonTime:setLayout(MoonTime_DB["layout"])
	end
	
	
	
	tab1:SetScript("OnMouseDown", highlight_tab1 )
	tab2:SetScript("OnMouseDown", highlight_tab2 )	
	tab3:SetScript("OnMouseDown", highlight_tab3 )
	
	
	if MoonTime_DB["Layout_noBrain"]["rotation"] == "custom1" then
		highlight_tab2()
		elseif MoonTime_DB["Layout_noBrain"]["rotation"] == "custom2" then
		highlight_tab3()
	end
	
	emergencybutton_tab2:Hide()
	
	-- MoonTime_Layout_noBrain_ConfigPanel.okay = function()
		
		-- if ( MoonTime_Layout_noBrain_ConfigPanel:IsShown() ) then
			-- MoonTime_DB["Layout_noBrain"]["blink_factor"]  = editframe9:GetText();
			-- MoonTime_DB["Layout_noBrain"]["blink_time_descale"] = editframe8:GetText();
			-- MoonTime_DB["Layout_noBrain"]["blinkspells"][SS_icon] = checkbutton_1:GetChecked();
			-- MoonTime_DB["Layout_noBrain"]["blinkspells"][MF_icon] = checkbutton_2:GetChecked();
			-- MoonTime_DB["Layout_noBrain"]["blinkspells"][SunF_icon] = checkbutton_3:GetChecked();
			-- MoonTime_DB["Layout_noBrain"]["blinkspells"][W_icon] = checkbutton_4:GetChecked();
			-- MoonTime_DB["Layout_noBrain"]["blinkspells"][SF_icon] = checkbutton_5:GetChecked();
			-- MoonTime_DB["Layout_noBrain"]["custom1"]  = MoonTime_Layout_noBrain_editbox2:GetText();
			-- MoonTime_DB["Layout_noBrain"]["custom2"]  = MoonTime_Layout_noBrain_editbox3:GetText();
			-- MoonTime_DB["Layout_noBrain"]["default_posi"] = MoonTime_Layout_noBrain_ScrollFrame_tab1:GetVerticalScroll();
			-- MoonTime_DB["Layout_noBrain"]["custom1_posi"] = MoonTime_Layout_noBrain_ScrollFrame_tab2:GetVerticalScroll();
			-- MoonTime_DB["Layout_noBrain"]["custom2_posi"] = MoonTime_Layout_noBrain_ScrollFrame_tab3:GetVerticalScroll();
			
			-- MoonTime:setLayout(MoonTime_DB["layout"])	
		-- end	
	-- end
	
	
	InterfaceOptions_AddCategory(MoonTime_Layout_noBrain_ConfigPanel);
	
	
	
	MoonTime_Layout_noBrain_ConfigPanel:Hide()
	InterfaceOptionsFrame_OpenToCategory("noBrain")
	InterfaceOptionsFrame:Hide()
	-- InterfaceOptionsFrame_OpenToCategory("noBrain")
	return MoonTime_Layout_noBrain_ConfigPanel
	
	
end


-- ****************************************
--
-- DO NOT CHANGE ANYTHING BELOW THIS 
--
-- ****************************************

local function registerConfig( )									-- Beginn initialize
	local configFrame
	local frame = CreateFrame( "Frame", "frame", UIPARENT	)
	frame:RegisterEvent("VARIABLES_LOADED");
	frame:SetScript("OnEvent", 
		function( self, event )
			if event=="VARIABLES_LOADED" then							-- falls das ausloesende Event VARIABLES_LOADED ist ...
				-- werden die ausstehenden Events registriert
				MoonTimeDoorKeeper:RegisterConfig( self );
			end
		end
	)
	
	frame.createConfig = function( MainConfigFrame )
		configFrame = noBrainBuildConfig( MainConfigFrame )
	end
end																		-- Ende initialize

registerConfig(NameOfLayout)
